Bug 878117 - Empty group is displayed among compatible groups
Empty group is displayed among compatible groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI, Resource Grouping, Usability (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 12:05 EST by Filip Brychta
Modified: 2013-08-31 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:12:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2012-11-19 12:05:20 EST
Description of problem:
According to discussion in bug 708929 group type should be changed on the fly according to group members and empty group should be considered mixed. But compatible group stays compatible after all group's members are removed from inventory. 

Version-Release number of selected component (if applicable):
Version: 3.1.2.ER1
Build Number: 05cc75f:18fd619

How reproducible:
Always

Steps to Reproduce:
1. create compatible group (i.e. containing one platform) -> this group is displayed among comatible groups and contains one resource
2. uninventory platform
  
Actual results:
empty group is displayed among compatible groups

Expected results:
empty group is displayed among mixed groups

Additional info:
related to bug 708929
Comment 1 Jirka Kremser 2013-01-17 07:46:11 EST
fixed in master

http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=091b0903f
time:    Thu Jan 17 13:35:27 2013 +0100
commit:  091b0903f045b2a659d7623d928e8944b5844683
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 878117 - Empty group is displayed among compatible groups] Added support for recalculating the group's resource type after resource uninventorization.
Comment 2 Filip Brychta 2013-02-21 09:45:17 EST
Verified on 
Version: 4.6.0-SNAPSHOT
Build Number: 2b908fa
Comment 3 Heiko W. Rupp 2013-08-31 06:12:15 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.